dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

-- circle formation
LManager:AddTable(eTYPE_TABLE1, 260, 225);
LManager:AddTable(eTYPE_TABLE1, 440, 225);
LManager:AddTable(eTYPE_TABLE1, 160, 335);
LManager:AddTable(eTYPE_TABLE1, 540, 335);
--LManager:AddTable(eTYPE_TABLE1, 350, 355);
LManager:AddTable(eTYPE_TABLE1, 90, 445);
LManager:AddTable(eTYPE_TABLE1, 620, 445);
LManager:AddTable(eTYPE_TABLE1, 255, 495);
LManager:AddTable(eTYPE_TABLE1, 455, 495);

LManager:AddCandle(165, 74, 15000);
LManager:AddCandle(285, 74, 15000);
LManager:AddCandle(576, 74, 15000);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED13);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 8;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 73000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 124000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 189000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 227000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 255000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 7000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 80000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 143000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 219000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 269000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST13);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 110000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 124000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 151000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 1783000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 213000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 258000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 15000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 59000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 248000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 11000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 51000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 94000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 153000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 230000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 265000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 22000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 158000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 183000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 220000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 46000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 89000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 195000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 213000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 39000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 105000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 225000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(4,5);
LManager:SetLevelScores(8800, 9695);
LManager:SetLevelTime(35000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();